
Ruby - Bug #21295

macos-13 debug build failures

04/29/2025 08:47 PM - MSP-Greg (Greg L)

Status: Open   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: master Backport: 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4:

UNKNOWN

Description

@Eregon (Benoit Daloze)

ruby/ruby-dev-builder has issues turned off, which I can understand.  It is the repo that creates the Ubuntu & macOS MRI

master/head builds used in GHA (GitHub Actions).

Recently, there have been test-all failures in the 'macos-13 debug' job.  Also, the tests take longer to run than macos-14.  I believe

macos-13 is x64, macos-14 is arm64.

It would certainly be nice to fix the problem.  In at least a few workflow runs, it is the only job failure.

A more significant issue is that any failure in the workflow's jobs stops a new release from being created.  The 'macos-13 debug' jobs

have failed on the last two days runs (it .

Recently Set was updated, I believe it's been a few days, but I don't recall any API changes.  I believe no tests were changed/added,

but marshalling set was covered in test suites.

Hence, that was overlooked, and a subsequent PR/commit fixed it.  But, the first commit was done where a new release was created.

Since the the 2nd commit was done, all the 'macos-13 debug' jobs have been failing.  Hence, it's not available in GHA.

So, there are two issues:

1. 'macos-13 debug' is failing test-all

2. ruby/ruby-dev-builder cannot update any master build if one or more of the master builds fail.

History

#1 - 04/30/2025 04:52 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Third Party's Issue

'macos-13 debug' is failing test-all

 macos-13 is working on our CI: https://github.com/ruby/ruby/actions/runs/14746546219/job/41394895957

ruby/ruby-dev-builder cannot update any master build if one or more of the master builds fail.

 It seems not related with Ruby repository.

#2 - 04/30/2025 08:13 AM - Eregon (Benoit Daloze)

- Status changed from Third Party's Issue to Open

@MSP-Greg Thank you for the report.

In general it's quite helpful if you can link to specific failed builds and also copy the output, makes it easier to find e.g. when searching and clearer

what is the problem.
In this case it can be simply summarized as CRuby on macos-13 with RUBY_DEBUG=1 fails test-all.

hsbt (Hiroshi SHIBATA) wrote in #note-1:

'macos-13 debug' is failing test-all

 macos-13 is working on our CI: https://github.com/ruby/ruby/actions/runs/14746546219/job/41394895957

 That doesn't seem to run with -DRUBY_DEBUG=1 though.

See https://github.com/ruby/ruby-dev-builder/actions/runs/14739297053/job/41373111258 and 

https://github.com/ruby/ruby-dev-builder/actions/runs/14715775725/job/41298729505

In both cases the non-debug builds work fine, but the RUBY_DEBUG=1 builds fail.

I believe the bug is caused by a bug/issue in CRuby.

I guess it's not caught in ruby/ruby CI because I guess a missing CI job with -DRUBY_DEBUG=1 on macos-13 / macOS x86_64.

I'll copy the failures here:

https://github.com/ruby/ruby-dev-builder/actions/runs/14739297053/job/41373111258

    1) Error:

  TestObjSpace#test_trace_object_allocations_compaction_freed_pages:

  make: *** [yes-test-all] Error 1

  Test::Unit::ProxyError: execution of Test::Unit::CoreAssertions#assert_normal_exit expired timeout (10 sec)

  pid 45466 killed by SIGTERM (signal 15)

  | 

  

      /Users/runner/work/ruby-dev-builder/ruby-dev-builder/test/objspace/test_objspace.rb:311:in 'TestObjSpace

#test_trace_object_allocations_compaction_freed_pages'

 https://github.com/ruby/ruby-dev-builder/actions/runs/14715775725/job/41298729505

     1) Failure:

  TestTracepointObj#test_teardown_with_active_GC_end_hook [/Users/runner/work/ruby-dev-builder/ruby-dev-builde

r/test/-ext-/tracepoint/test_tracepoint.rb:86]:

  pid 46109 killed by SIGABRT (signal 6)

  make: *** [yes-test-all] Error 1

  | ./vm_core.h:1690: Assertion Failed: vm_block_type:imemo_type_p(block->as.captured.code.val, imemo_iseq)

  | ruby 3.5.0dev (2025-04-28T18:45:54Z :detached: 9996d692f4) +PRISM [x86_64-darwin22]

  | 

  | -- Crash Report log information --------------------------------------------

  |    See Crash Report log file in one of the following locations:

  |      * ~/Library/Logs/DiagnosticReports

  |      * /Library/Logs/DiagnosticReports

  |    for more details.

  | Don't forget to include the above Crash Report log file in bug reports.

  | 

  | -- Control frame information -----------------------------------------------

  | c:0003 p:---- s:0013 e:000012 CFUNC  :dump

  | c:0002 p:0018 s:0008 e:000005 BLOCK  /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/core_as

sertions.rb:296 [FINISH]

  | c:0001 p:0000 s:0003 E:000c30 DUMMY  [FINISH]

  | 

  | -- Ruby level backtrace information ----------------------------------------

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/core_assertions.rb:296:in 'block in separate

d_runner'

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/core_assertions.rb:296:in 'dump'

  | 

  | -- Threading information ---------------------------------------------------

  | Total ractor count: 1

  | Ruby thread count for this ractor: 1

  | 

  | -- C level backtrace information -------------------------------------------

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_print_backtrace+0x19) [0x1103ec3

e9] vm_dump.c:839

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_print_backtrace) (null):0

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_vm_bugreport+0x1de) [0x1103ec5de

] vm_dump.c:1171

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_assert_failure_detail+0x116) [0x

1105502ae] error.c:1215

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_assert_failure_detail+0x0) [0x11

0550198] error.c:1191

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_assert_failure) (null):0

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(vm_block_type+0x5b) [0x1103cb7ab] .
/vm_core.h:1690

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(vm_block_self+0x11) [0x1103cbdd1] .

/vm_core.h:1764

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_vm_invoke_proc+0x2d) [0x1103cc67

d] vm.c:1786

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_proc_call_kw+0x6b) [0x1102f06db]

 proc.c:989

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_ensure+0x9e) [0x11024bace] eval.

c:1074

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_postponed_job_flush+0x156) [0x11

03f0e66] vm_trace.c:1850

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_threadptr_execute_interrupts+0xd

f) [0x11038b5ef] thread.c:2480

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(vm_pop_frame+0x18) [0x1103b8478] ./

vm_insnhelper.c:458

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(vm_call_cfunc_with_frame_+0x143) [0

x1103da1d3] ./vm_insnhelper.c:3801

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(vm_sendish+0x14c) [0x1103baacc] ./v

m_insnhelper.c:5972

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(vm_exec_core+0x35aa) [0x1103bf26a] 

insns.def:899

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_vm_exec+0x94) [0x1103bae74] vm.c

:2618

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(invoke_iseq_block_from_c+0x128) [0x

1103ccc53] vm.c:1648

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(invoke_block_from_c_proc) vm.c:1742

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(vm_invoke_proc) vm.c:1772

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_vm_invoke_proc+0x5d) [0x1103cc6a

d] vm.c:1793

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_proc_call_kw+0x6b) [0x1102f06db]

 proc.c:989

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(exec_end_procs_chain+0x4d) [0x11024

dafd] ./eval_jump.c:105

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_ec_exec_end_proc+0xc1) [0x11024d

a01] ./eval_jump.c:121

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_ec_teardown+0x92) [0x11024a812] 

eval.c:155

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(rb_ec_cleanup+0xfd) [0x11024a99d] e

val.c:207

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib(ruby_run_node+0x49) [0x11024aca9] e

val.c:319

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby(rb_main+0x40) [0x10fa86f50] ./main.c:42

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby(rb_main) (null):0

  | /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby(main+0x47) [0x10fa86ee7] ./main.c:62

  | 

  | -- Other runtime information -----------------------------------------------

  | 

  | * Loaded script: -

  | 

  | * Loaded features:

  | 

  |     0 enumerator.so

  |     1 thread.rb

  |     2 fiber.so

  |     3 rational.so

  |     4 complex.so

  |     5 ruby2_keywords.rb

  |     6 set.rb

  |     7 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/encdb.bundle

  |     8 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/trans/transdb.bundle

  |     9 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/lib/open3/version.rb

  |    10 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/lib/open3.rb

  |    11 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/lib/timeout.rb

  |    12 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/rbconfig.rb

  |    13 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/find_executable.rb

  |    14 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/rbconfig/sizeof.bundle

  |    15 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/envutil.rb

  |    16 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/colorize.rb

  |    17 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/leakchecker.rb

  |    18 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/lib/prettyprint.rb

  |    19 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/lib/pp.rb

  |    20 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/test/unit/assertions.rb

  |    21 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/asan.bundle

  |    22 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/console.bundle

  |    23 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/core_assertions.rb
  |    24 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/test/unit/testcase.rb

  |    25 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/lib/optparse.rb

  |    26 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/tool/lib/test/unit.rb

  |    27 /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/tracepoint.bundle

  | 

  | * Process memory map:

  | 

  | 10fa83000-10fa87000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby

  | 10fa87000-10fa8b000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby

  | 10fa8b000-10fa8c000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby

  | 10fa8c000-10fa8f000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fa8f000-10facf000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10facf000-10fad0000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fad0000-10fad2000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fad2000-10fad5000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fad5000-10fad6000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fad6000-10fada000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fada000-10fadb000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fadb000-10fadf000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fadf000-10fae0000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fae0000-10fae1000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fae1000-10fae5000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fae5000-10fae6000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fae6000-10fae7000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fae7000-10fae8000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fae8000-10faef000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10faf0000-10fb00000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fb00000-10fb03000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fb03000-10fb06000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/ruby.dSYM/Contents/Resources/

DWARF/ruby

  | 10fb10000-10fb20000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/encd

b.bundle

  | 10fb20000-10fb24000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/encd

b.bundle

  | 10fb24000-10fb28000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/encd

b.bundle

  | 10fb28000-10fb2c000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/encd

b.bundle

  | 10fb2c000-10fb30000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/encd

b.bundle

  | 10fb30000-10fb40000 rw- /usr/local/Cellar/gmp/6.3.0/lib/libgmp.10.dylib

  | 10fb43000-10fba3000 r-x /usr/local/Cellar/gmp/6.3.0/lib/libgmp.10.dylib

  | 10fba3000-10fba7000 r-- /usr/local/Cellar/gmp/6.3.0/lib/libgmp.10.dylib

  | 10fba7000-10fbab000 rw- /usr/local/Cellar/gmp/6.3.0/lib/libgmp.10.dylib

  | 10fbab000-10fbb7000 r-- /usr/local/Cellar/gmp/6.3.0/lib/libgmp.10.dylib

  | 10fbb7000-10fcf7000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/tran

s/transdb.bundle

  | 10fd00000-10fd10000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/tran

s/transdb.bundle

  | 10fd10000-10fd14000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/tran

s/transdb.bundle

  | 10fd14000-10fd18000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/tran

s/transdb.bundle

  | 10fd18000-10fd1c000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/tran

s/transdb.bundle

  | 10fd1c000-10fd20000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/enc/tran

s/transdb.bundle

06/10/2025 4/9



  | 10fd20000-10fd30000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/rbconfig

/sizeof.bundle

  | 10fd30000-10fd34000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/rbconfig

/sizeof.bundle

  | 10fd34000-10fd38000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/rbconfig

/sizeof.bundle

  | 10fd38000-10fd3c000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/rbconfig

/sizeof.bundle

  | 10fd3c000-10fd40000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/rbconfig

/sizeof.bundle

  | 10fd40000-10fd50000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/a

san.bundle

  | 10fd50000-10fd54000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/a

san.bundle

  | 10fd54000-10fd58000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/a

san.bundle

  | 10fd58000-10fd5c000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/a

san.bundle

  | 10fd5c000-10fd60000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/a

san.bundle

  | 10fd60000-10fd70000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/t

racepoint.bundle

  | 10fd70000-10fd74000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/t

racepoint.bundle

  | 10fd74000-10fd78000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/t

racepoint.bundle

  | 10fd78000-10fd7c000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/t

racepoint.bundle

  | 10fd7c000-10fd80000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/-test-/t

racepoint.bundle

  | 10fd80000-10fd90000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fda0000-10fdb0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fdc0000-10fdd0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fde0000-10fdf0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fe00000-10fe10000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fe20000-10fe30000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fe40000-10fe50000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fe60000-10fe70000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fe80000-10fe90000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fea0000-10feb0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fec0000-10fed0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10fee0000-10fef0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ff00000-10ff10000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ff20000-10ff30000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ff40000-10ff50000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ff60000-10ff70000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ff80000-10ff90000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ffa1000-10ffa5000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ffa5000-10ffa9000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ffa9000-10ffad000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ffad000-10ffb5000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/.ext/x86_64-darwin22/io/conso

le.bundle

  | 10ffc0000-10ffd0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib

  | 10ffe0000-10fff0000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib

  | 1101a6000-110656000 r-x /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib
  | 110656000-11066a000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib

  | 11066a000-11066e000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib

  | 11066e000-110682000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib

  | 110682000-110892000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib

  | 110892000-112092000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112092000-112093000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112093000-1120d4000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1120d4000-1120d5000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1120d5000-112116000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112116000-112117000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112117000-112158000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112158000-112159000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112159000-11219a000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11219a000-11219b000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11219b000-1121dc000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1121dc000-1121dd000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1121dd000-11221e000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11221e000-11221f000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11221f000-112260000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112260000-112261000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112261000-1122a2000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1122a2000-1122a3000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1122a3000-1122e4000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1122e4000-1122e5000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1122e5000-112326000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112326000-112327000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112327000-112368000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112368000-112369000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112369000-1123aa000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1123aa000-1123ab000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1123ab000-1123ec000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1123ec000-1123ed000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1123ed000-11242e000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11242e000-11242f000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11242f000-112470000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112470000-112471000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112471000-1124b2000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1124b2000-1124b3000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1124b3000-1124f4000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1124f4000-1124f5000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten
ts/Resources/DWARF/libruby.3.5.dylib

  | 1124f5000-112536000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112536000-112537000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112537000-112578000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112578000-112579000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112579000-1125ba000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1125ba000-1125bb000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1125bb000-1125fc000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1125fc000-1125fd000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1125fd000-11263e000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11263e000-11263f000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11263f000-112680000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112680000-112681000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112681000-1126c2000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1126c2000-1126c3000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1126c3000-112704000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112704000-112705000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112705000-112746000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112746000-112747000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112747000-112788000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112788000-112789000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112789000-1127ca000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1127ca000-1127cb000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1127cb000-11280c000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11280c000-11280d000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11280d000-11284e000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11284e000-11284f000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 11284f000-112890000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112890000-112891000 --- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 112891000-1128d2000 rw- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 1128d2000-114025000 r-- /Users/runner/work/ruby-dev-builder/ruby-dev-builder/libruby.3.5.dylib.dSYM/Conten

ts/Resources/DWARF/libruby.3.5.dylib

  | 600000000000-600008000000 rw-

  | 600008000000-600010000000 rw-

  | 600010000000-600018000000 rw-

  | 600018000000-600020000000 rw-

  | 700009cf6000-700009cf7000 ---

  | 700009cf7000-700009d79000 rw-

  | 7fd962f00000-7fd963000000 rw-

  | 7fd963000000-7fd963800000 rw-

  | 7fd963800000-7fd963900000 rw-

  | 7fd963900000-7fd963901000 rw-

  | 7fd963901000-7fd963921000 rw-

  | 7fd963921000-7fd96392d000 rw-

  | 7fd96392d000-7fd963945000 rw-

  | 7fd963945000-7fd963985000 rw-
  | 7fd963a00000-7fd963b00000 rw-

  | 7fd963b00000-7fd963c00000 rw-

  | 7fd964000000-7fd964800000 rw-

  | 7fd964800000-7fd965000000 rw-

  | 7ff7ac47d000-7ff7ac47e000 ---

  | 7ff7ac47e000-7ff7b047d000 rw-

  | 7ff800000000-7ff840000000 r--

  | 7ff840000000-7ff84b067000 r--

  | 7ff84b067000-7ff84b200000 rw-

  | 7ff84b200000-7ff84bc00000 r--

  | 7ff84bc00000-7ff84be00000 rw-

  | 7ff84be00000-7ff84cc00000 r--

  | 7ff84cc00000-7ff84ce00000 rw-

  | 7ff84ce00000-7ff84cfef000 rw-

  | 7ff84cfef000-7ff880000000 r--

  | 7ff880000000-7ffffe000000 r--

  | 7fffffe00000-7fffffe01000 r--

  | 7fffffe5f000-7fffffe60000 r-x

  | [IMPORTANT]

  | Don't forget to include the Crash Report log file under

  | DiagnosticReports directory in bug reports.

  | 

 These might be transient of course. I'll try to restart the latest job.

#3 - 04/30/2025 08:23 AM - Eregon (Benoit Daloze)

MSP-Greg (Greg L) wrote:

ruby/ruby-dev-builder cannot update any master build if one or more of the master builds fail.

 Feel free to file that as an issue at https://github.com/ruby/setup-ruby.

I disabled issues for ruby/*-dev-builder because I want to avoid an explosion of number of issue trackers.

But in short it works as designed (and I don't see any solution): we should not publish releases without all builds otherwise it will break setup-ruby for

the missing builds.

It's also not good to use a debug build from an older commit and a regular build from a newer commit, they should always match.

The assumption is CRuby core cares about keeping RUBY_DEBUG builds green, since in fact they asked to add it (and if they would no longer then

we should remove ruby-debug in setup-ruby, we're not there).

#4 - 04/30/2025 08:27 AM - hsbt (Hiroshi SHIBATA)

- Subject changed from ruby/ruby-dev-builder - macos-13 debug build failures, stops GHA master build updates to macos-13 debug build failures

#5 - 04/30/2025 07:20 PM - Eregon (Benoit Daloze)

It failed again:

https://github.com/ruby/ruby-dev-builder/actions/runs/14739297053/job/41404925541

     1) Error:

  TestWeakKeyMap#test_clear_bug_20691:

  Test::Unit::ProxyError: execution of Test::Unit::CoreAssertions#assert_normal_exit expired timeout (10 sec)

  pid 47217 killed by SIGTERM (signal 15)

  | 

  

      /Users/runner/work/ruby-dev-builder/ruby-dev-builder/test/ruby/test_weakkeymap.rb:65:in 'TestWeakKeyMap#

test_clear_bug_20691'

  

    2) Error:

  TestObjSpace#test_trace_object_allocations_compaction_freed_pages:

  Test::Unit::ProxyError: execution of Test::Unit::CoreAssertions#assert_normal_exit expired timeout (10 sec)

  pid 57011 killed by SIGTERM (signal 15)

  | 

  

      /Users/runner/work/ruby-dev-builder/ruby-dev-builder/test/objspace/test_objspace.rb:311:in 'TestObjSpace

#test_trace_object_allocations_compaction_freed_pages'

  

  Finished tests in 801.448522s, 34.5761 tests/s, 7557.8192 assertions/s.

  27711 tests, 6057203 assertions, 0 failures, 2 errors, 115 skips

 And passed in the latest build.

So these looks to me like transient tests (potentially just not long enough timeout) and for some reason they seem to happen somewhat more on
https://github.com/ruby/setup-ruby
macos-13 / darwin-amd64.

But TestTracepointObj#test_teardown_with_active_GC_end_hook mentioned above is specific to debug builds.

#6 - 04/30/2025 07:25 PM - Eregon (Benoit Daloze)

Eregon (Benoit Daloze) wrote in #note-5:

But TestTracepointObj#test_teardown_with_active_GC_end_hook mentioned above is specific to debug builds.

 Maybe that was caused by https://bugs.ruby-lang.org/issues/21292 (my guess given the assertion), if so it should be fixed by 

https://github.com/ruby/ruby/commit/b42c8398ba84437cd6e96cbf6ccaf5ac5eff32b6, let's see if it happens again (FYI @tenderlovemaking (Aaron

Patterson)).
